Skip to content
Proud to collaborate with Microsoft for Startups

mercadopago.orders.search-orders ​

Search for orders using date range and optional filters. begin_date and end_date are required.

Search orders

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-mercadopago
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
begin_datestringYes—Start of date range (ISO 8601)
end_datestringYes—End of date range (ISO 8601)
external_referencestringNo——
typestringNo——
statusstringNo——
limitintegerNo——
offsetintegerNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Mercadopago API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
begin_datestringYes—Start of date range (ISO 8601)
end_datestringYes—End of date range (ISO 8601)
external_referencestringNo——
typestringNo——
statusstringNo——
limitintegerNo——
offsetintegerNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v1/orders
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v1/orders
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "mercadopago.orders.search-orders",
  "initial_data": {
    "base_url": "value",
    "begin_date": "value",
    "end_date": "value"
  }
}